---
title: "StateSwitch_rmcorr"
output:
  html_document:
    fig_crop: no
  pdf_document: default
---

```{r setup, include=FALSE}
knitr::opts_chunk$set(echo = TRUE)

#install.packages('R.matlab')
#install.packages('lmSupport')
#install.packages("rlang") 
library(R.matlab)
library(knitr)
library(lmSupport)
library(lmerTest)

options(digits = 2)
opts_knit$set(global.par=TRUE)
```
```{r, include=FALSE}
par(mar=c(5,5,0,0))
```

# read the data for the ANOVA from MATLAB output

```{r dataRead}
rm(list = ls()) # clear workspace

data = readMat('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/multimodal/B_crossCorrelations/B_data/STSWDsummary_YA_forR.mat')
data = as.data.frame(matrix(unlist(data), nrow=30, byrow=T),stringsAsFactors=TRUE, header = TRUE)
data = t(data) # transpose matrix
data = data.frame(data) # convert to data frame
names(data) = as.character(unlist(data[1, ]))
data = data[-1, ]

data$ID = as.factor(data$Subject)
data$cond = as.factor(data$Condition)
data$drift_eeg = as.numeric(sub(",", ".", data$drift_eeg, fixed = TRUE))
data$ndt_eeg = as.numeric(sub(",", ".", data$ndt_eeg, fixed = TRUE))
data$drift_mri = as.numeric(sub(",", ".", data$drift_mri, fixed = TRUE))
data$ndt_mri = as.numeric(sub(",", ".", data$ndt_mri, fixed = TRUE))
data$pupil = as.numeric(sub(",", ".", data$pupil, fixed = TRUE))
data$eeg_lv1 = as.numeric(sub(",", ".", data$eeg_lv1, fixed = TRUE))
data$eeg_prestim_lv1 = as.numeric(sub(",", ".", data$eeg_prestim_lv1, fixed = TRUE))
data$mri_lv1 = as.numeric(sub(",", ".", data$mri_lv1, fixed = TRUE))
data$mri_lv2 = as.numeric(sub(",", ".", data$mri_lv2, fixed = TRUE))
data$aperiodic = as.numeric(sub(",", ".", data$aperiodic, fixed = TRUE))
data$entropy = as.numeric(sub(",", ".", data$entropy, fixed = TRUE))
data$thetapow = as.numeric(sub(",", ".", data$thetapow, fixed = TRUE))
data$thetadur = as.numeric(sub(",", ".", data$thetadur, fixed = TRUE))
data$alphapow = as.numeric(sub(",", ".", data$alphapow, fixed = TRUE))
data$alphadur = as.numeric(sub(",", ".", data$alphadur, fixed = TRUE))
data$eeg_probe = as.numeric(sub(",", ".", data$eeg_probe, fixed = TRUE))
data$CPPslope = as.numeric(sub(",", ".", data$CPPslope, fixed = TRUE))
data$CPPthreshold = as.numeric(sub(",", ".", data$CPPthreshold, fixed = TRUE))
data$betaslope = as.numeric(sub(",", ".", data$betaslope, fixed = TRUE))
data$betathreshold = as.numeric(sub(",", ".", data$betathreshold, fixed = TRUE))
data$NDTpotential = as.numeric(sub(",", ".", data$NDTpotential, fixed = TRUE))
data$thresh_eeg = as.numeric(sub(",", ".", data$thresh_eeg, fixed = TRUE))
data$thresh_mri = as.numeric(sub(",", ".", data$thresh_mri, fixed = TRUE))
data$ThetaResp = as.numeric(sub(",", ".", data$ThetaResp, fixed = TRUE))
```

# select subset of EEG-MRI data (via rowwise deletion); n = 42 subjects

```{r selectMRdata}
data_multi = data[complete.cases(data), ]
```

## perfrom linear models

The logic of assessing bivariate relations is the following: We fit a general linear model to the data, including covariates for both ID and Condition. This is identical in logic to repeated measures correlations, but avoids Simpson's paradox by not assessing mean within-person changes between x and y as a function of load, but inter-individual differences in the magnitude of change (cf., second level slopes) between x and y. This is achieved by accounting for load condition in the model. Note that R is sinterchangeable with regards to the choice of IV and DV.

Type III sum-of-squares (~SPSS) are implemented in drop1 (and modelCompare) outputs reported here http://dwoll.de/rexrepos/posts/anovaSStypes.html#model-comparisons-using-drop1

# Uncertainty jointly increases frontal theta and posterior gamma power, while decreasing alpha synchrony. 

In line with this measure reflecting behaviorally relevant modulations, individual AMF loadings were positively correlated with interindividual differences in individual performance (Figure 4) and load-related performance changes

```{r, echo = FALSE,  out.width="50%", fig.align = "center"}

# Model 1: EEG LV1 - drift
y = data$eeg_lv1
x = data$drift_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)

```
r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$ndt_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

eeg_lv1-ndt_eeg

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`


We performed multiple control analyses for alternative signatures or approaches. 

Pre-stimulus alpha power can predict target detection and may signal the individual confidence in upcoming target detection

```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_prestim_lv1
x = data$drift_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)


```

#drift_eeg-eeg_prestim_lv1

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_prestim_lv1
x = data$ndt_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

#eeg_prestim_lv1-ndt_eeg

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - eeg_prestim_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_prestim_lv1
x = data$eeg_lv1
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## eBOSC

(4)	Finally, as spectral power conflates rhythmic and arrhythmic signal contributions in magnitude, space and time (Kosciessa, Grandy, Garrett, & Werkle-Bergner, 2019a), we performed single-trial rhythm detection, observing similar decreases in the duration and power of alpha rhythms (see Figure S4-4).

# thetapow - thetadur
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}

y = data$thetapow
x = data$thetadur
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# alphapow - alphadur
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$alphapow
x = data$alphadur
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - alphadur
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$alphadur
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - alphapow
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$alphapow
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - thetapow
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$thetapow
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - thetadur
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$thetadur
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## Sample entropy indicates dynamic excitability increases.

The magnitude of individual entropy modulation scaled with increases in the spectral power factor (r = .52, p < .001). Linear entropy increases did not directly relate to individual decreases in drift rate (r = -.17, p = .26) or increases in pupil dilation (r = .09, p = .56).

# eeg_lv1 - entropy
```{r  , echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$entropy
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift - entropy
```{r  , echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$entropy
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# ndt - entropy
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$ndt_eeg
x = data$entropy
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## Strategic shifts of E-I balance towards increased excitability indicated via scale-free spectra. 

Notably, subjects who more strongly modulated their scale-free activity, also exhibited larger rhythm modulation (r = .36; p = .01) during sensation. In line with the suggestion that sample entropy dominantly captures the coefficient of scale-free dynamics, sample entropy was strongly related to individual slopes both across conditions (r = .85, p <.001) and with respect to linear changes with uncertainty (r = .63, p < .001). Similar to SE, linear shallowing of slopes did not directly relate to individual decreases in drift rate (r = -.10, p = .51).

# eeg_lv1 - aperiodic
```{r  , echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$aperiodic
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# entropy - aperiodic
```{r  , echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$entropy
x = data$aperiodic
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift - aperiodic
```{r  , echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$aperiodic
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# ndt - aperiodic
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$ndt_eeg
x = data$aperiodic
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## Increases in neuromodulatory tone relate to excitability adjustments

Pupil modulation significantly predicted individual AMF increases (beta = 77.8, SE = 24.74; t = 3.15; p = .002.

# eeg_lv1 - pupil
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$pupil
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# entropy - pupil
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$entropy
x = data$pupil
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# aperiodic - pupil
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$aperiodic
x = data$pupil
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift - pupil
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$pupil
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# ndt - pupil
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$ndt_eeg
x = data$pupil
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## MRI LV1

# mri_lv1 - drift
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$drift_mri
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv1 - ndt
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$ndt_mri
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv1 - entropy
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$entropy
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv1 - aperiodic
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$aperiodic
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv1 - eeg_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$eeg_lv1
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv1 - eeg_prestim_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$eeg_prestim_lv1
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## MRI LV2

# mri_lv2 - drift
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$drift_mri
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - ndt
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$ndt_mri
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - entropy
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$entropy
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - aperiodic
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$aperiodic
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - eeg_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv1
x = data_multi$mri_lv2
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - eeg_prestim_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$eeg_prestim_lv1
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## Now assess the association between HDDM threshold and EEG estimates

# thresh_eeg - eeg_probe
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$eeg_probe
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - eeg_probe, controlling for drift_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_probe
x = data$thresh_eeg
lmerModel1 = lm(y ~ data$ID + data$cond + data$drift_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$drift_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[5]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_probe - drift_eeg, controlling for thresh_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$eeg_probe
lmerModel1 = lm(y ~ data$ID + data$cond + data$thresh_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$thresh_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[5]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - eeg_lv1, controlling for drift_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$eeg_lv1
x = data$thresh_eeg
lmerModel1 = lm(y ~ data$ID + data$cond + data$drift_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$drift_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[5]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# eeg_lv1 - drift_eeg, controlling for thresh_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$eeg_lv1
lmerModel1 = lm(y ~ data$ID + data$cond + data$thresh_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$thresh_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[5]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - eeg_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$eeg_lv1
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - mri_lv2
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$thresh_eeg
x = data_multi$mri_lv2
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift_eeg - eeg_probe
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$eeg_probe
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - eeg_prestim_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$eeg_prestim_lv1
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - CPPslope
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$CPPslope
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - CPPthreshold
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$CPPthreshold
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - betaslope
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$betaslope
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - betathreshold
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$betathreshold
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`


## HDDM parameter interrelations

# thresh_eeg - drift_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$drift_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# ndt_eeg - drift_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$ndt_eeg
x = data$drift_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# ndt_eeg - thresh_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$ndt_eeg
x = data$thresh_eeg
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## behavioral - neural correspondence

# drift_eeg - CPPslope
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$CPPslope
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift_eeg - CPPslope, controlling for ndt_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$CPPslope
lmerModel1 = lm(y ~ data$ID + data$cond + data$ndt_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$ndt_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[5]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# drift_eeg - betaslope
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$drift_eeg
x = data$betaslope
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

## Additional correlations between threshold and other parameters of interest

# thresh_eeg - eeg_lv1
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$eeg_lv1
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - eeg_lv1, controlling for drift_eeg & ndt_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$eeg_lv1
lmerModel1 = lm(y ~ data$ID + data$cond + data$drift_eeg + data$ndt_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$drift_eeg + data$ndt_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[6]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# mri_lv2 - NDTpotential
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data_multi$mri_lv2
x = data_multi$NDTpotential
lmerModel1 = lm(y ~ data_multi$ID + data_multi$cond)
lmerModel2 = lm(y ~ data_multi$ID + data_multi$cond + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - ThetaResp, controlling for drift_eeg & ndt_eeg
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$ThetaResp
lmerModel1 = lm(y ~ data$ID + data$cond + data$drift_eeg + data$ndt_eeg)
lmerModel2 = lm(y ~ data$ID + data$cond + data$drift_eeg + data$ndt_eeg + x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[6]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`

# thresh_eeg - ThetaResp
```{r, echo = FALSE,  out.width="50%", fig.align = "center"}
y = data$thresh_eeg
x = data$ThetaResp
lmerModel1 = lm(y ~ data$ID + data$cond)
lmerModel2 = lm(y ~ data$ID + data$cond+ x)
comparisonOutput = modelCompare(lmerModel1, lmerModel2)

statsResults = vector(mode = "list")
statsResults$type3rmcorr = stats::drop1(lmerModel2, ~., test = "F")
statsResults$SSFactor = statsResults$type3rmcorr$"Sum of Sq"[4]
statsResults$SSresidual = statsResults$type3rmcorr$RSS[1]
statsResults$errordf = lmerModel2$df.residual
statsResults$rmcorrvalue = as.numeric(sign(stats::coef(lmerModel2)["x"]) * 
                                        sqrt(statsResults$SSFactor/(statsResults$SSFactor + statsResults$SSresidual)))
statsResults$rmcorrvalueCI = psych::r.con(statsResults$rmcorrvalue, statsResults$errordf)
```

r(`r statsResults$errordf`) = `r round(statsResults$rmcorrvalue,2)`, 95%CI [`r round(statsResults$rmcorrvalueCI[1],2)`, `r round(statsResults$rmcorrvalueCI[2],2)`], p = `r comparisonOutput$p`